package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.LandMark;


/**
*  service接口类
*/
public interface LandMarkService{

    List<LandMark> getLandMarkList(LandMark record);

    List<LandMark> getLandMarkByPage(Page page, LandMark record);

    List<LandMark> getCityLandMarkByPage(Page page, LandMark record);

    LandMark getLandMarkById(String id);

    LandMark getLandMark(LandMark record);

    boolean createLandMark(LandMark record);

    boolean deleteLandMark(LandMark record);

    boolean updateLandMark(LandMark record);

    LandMark getLandMarkMapInfo(LandMark record);

    List<LandMark> getLandMarkChildList(LandMark record);
}

